Subject: Has anyone successfully build a powerpc-target xgcc
From: [email-masked] (Andy Anh Da Ngo)

25 Apr 1997 18:48:33 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

Hello,

I'm almost ready to give up.  I have posted this topic
several times and no one has responded.  I'm trying
to build a powepc-targeted cross-compiler (linux hosted
preferably, although I wish nt or dos hosted was 
possible).  I know there are commercial cross-compilers
out there but I can't afford the $$$ (I mean my company).
Has anyone done a successful powerpc-targeted xgcc build
out there?  If so, can you please pass on the instructions.
Thanks..

I have tried doing the build with sparc-sun-solaris2.4
hosted and i486-linux hosted but came up emptied
every time; I have tried doing Canadian crosses
(i486-linux build, i386-go32 host, powerpc-eabi target)
and (sparc-sun-solaris2.4 build, i386-go32 host, 
powerpc-eabi target) but that came up emptied too.
I don't remember the errors but some of them included

   1) float.h-ieee not found during build 
   2) libgcc.a not found after one build that ld was 
      looking for (sparc-sun-solaris2.4 hosted) when
      I ran power-eabi-gcc on some simple test.c file
   3) crt0.o not found (sparc-sun-solaris2.4 build, i386-go32 host,
      powerpc-eabi target) Canadian cross
   4) config.h not found during linux-hosted build
      when it was trying to compile hash.c
      (a reference of config.h in runtime.h) during
      objective-c compilation
  
Please help!!!

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".